Subject: WP: Importer / Exporter with relations MM/IRRE/FAL

Description

The import and export functionality is available since the beginning of TYPO3 CMS. This backend module mostly relies on the

internal DataHandler/TCEMain system of TYPOS. For TYPO3 6.2 LTS, the Core Team needs to improve the handling of the IRRE and
MM relations within the import and export process.

Additionally, the import / export module must be able to handle exports which were generated in a pre-FAL-version of TYPO3 (e.g. like
the last LTS Version 4.5) in order to be able to import directly to the FAL.

Since importing and exporting large sites via a web-backend leads to problems in runtime and memory limits, a CLI Module must be
added.

Epic for the work-package dealing with fixes in the Importer/Exporter module for inclusion in TYPO3 6.2 LTS.

Please do not add sub-tasks to this on your own, instead contact the release manager (Ernesto) before.

Subtasks:
Feature # 36735: impexp: t3d import/export via commandline New
Task # 55084: Introduce a option to include related records on pid 0 Rejected
Task # 55086: Store references to files in refindex again (?) Resolved
Story # 55520: As an User | want to create exports in v. 6.2 and import them in v. 6.2 Resolved
Task # 55431: Impexp: file contents of sys_file are not included in export Resolved
Task # 55082: Impexp: for non active controls NULL has to be imported in xml mode Resolved
Task # 55526: Impexp: missing fields of sys_file on import Rejected
Task # 55528: Importing a identical sys_file_storage have to be prevented Resolved
Task # 55530: Avoid to find a file object with uid 0 Resolved
Task # 55531: Impexp: avoid the importer to assign the references count as sys_file_ref... Closed
Task # 55532: Impexp: import the binary files being sys_file records to the right storage Resolved
Task # 49227: Files missing in import/export Closed
Task # 55906: Impext: Don't clear relation field data for sys_file_reference uid_local Resolved
Task # 56285: Impexp: Links to sys_file (file:uid) fail on import (link fields and rte) Resolved
Task # 56286: Impexp: Do not include processed images from rte in export Resolved
Task # 56352: Impexp: Files of TCA type "group" internal_type "file" are missing in export Resolved
Task # 56516: Relations for fields of type group internal_type file_reference are not s... Resolved
Task # 56580: SoftReferencelndex typolink missing support for title attribute Resolved
Task # 56670: Make Import/Export work with Package Manager Resolved
Task # 56811: Don't save references in index for processed images in RTE fields Resolved
Task # 56991: Reflndex is broken for FlexForm fields group file_reference, results in m... Resolved
Task # 57048: Add option to skip all sys_file records from storage 0 in export Rejected
Story # 55521: As an User | want to create exports in v. 4.x and import them in v. 6.2 Resolved
Task # 52593: Impexp: make 4.x exports work as import in 6.x Resolved
Task # 57006: SoftReferencelndex typolink[linkList] missing support separation by line ... Resolved
Story # 55522: As a developer | want to ensure that further changes have no negative im... Closed
Task # 55100: Impexp: Add simple functional tests Resolved
Task # 55111: Extend FunctionalTestCase with linked fileadmin folders Resolved
Task # 55625: Impexp: Introduce limitation of exported fields of a tca type

Resolved

Task # 55664: Use DataHandler testing framework for simple import test Resolved
Task # 56071: Impexp: add test scenarios for tca types group file and file reference Resolved
Task # 56086: Impexp functional tests do not fail on wrong assertion Resolved
Task # 56089: Impexp: add test scenarios for RTE with images and links to files Resolved
Task # 56193: Extend FunctionalTestCase to get the instance path within a test Rejected
Task # 56194: Extend FunctionalTestCase for creation of additional folders Resolved
Task # 56241: Improve AbstractDataHandlerActionTestCase Resolved
Task # 56287: Impexp: add test scenarios for irre relations Resolved
Task # 56612: Impexp: Add tests for flexform Resolved
Task # 57045: Obsolet data in import testdata xml Resolved

Related issues:

related to Core - Story # 57377: Additional improvements for impexp New 2014-03-27

History

#1 - 2014-01-16 16:22 - Ingo Schmitt

- Assigned To set to Mathias Schreiber

- Parent task set to #55070

#2 - 2014-01-16 16:23 - Ingo Schmitt

- Subject changed from Importer/Exporter for 6.2 to WP: Importer / Exporter with relations MM/IRRE

#3 - 2014-01-20 15:25 - Ingo Schmitt

- Subject changed from WP: Importer / Exporter with relations MM/IRRE to WP: Importer / Exporter with relations MM/IRRE/FAL
